package com.gic.haoban.manage.service.service.out.impl;

import cn.hutool.core.util.ObjectUtil;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.StaffActiveDataDTO;
import com.gic.haoban.manage.api.service.WxEnterpriseActiveDataApiService;
import com.gic.haoban.manage.service.service.WxEnterpriseActiveDataService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @description:
 * @Author: wenhua
 * @Date: 2023/2/2 10:21
 */
@Service
public class WxEnterpriseActiveDataApiServiceImpl implements WxEnterpriseActiveDataApiService {
    private static final Logger log = LogManager.getLogger(WxEnterpriseApiServiceImpl.class);
    @Autowired
    private WxEnterpriseActiveDataService wxEnterpriseActiveDataService;

    @Override
    public ServiceResponse<Integer> saveOrUpdate(String wxEnterpriseId) {
        return ServiceResponse.success(wxEnterpriseActiveDataService.saveOrUpdate(wxEnterpriseId));
    }

    @Override
    public ServiceResponse<StaffActiveDataDTO> getWxEnterpriseActiveDataById(String id) {
        StaffActiveDataDTO staffActiveDataDTO= wxEnterpriseActiveDataService.getWxEnterpriseActiveDataById(id);
        if (ObjectUtil.isNotNull(staffActiveDataDTO))
            return ServiceResponse.success(staffActiveDataDTO);
        else
            return ServiceResponse.failure("9999","id不存在");
    }

    @Override
    public ServiceResponse<StaffActiveDataDTO> getWxEnterpriseActiveDataByWxEnterpriseId(String wxEnterpriseId) {
        StaffActiveDataDTO staffActiveDataDTO= wxEnterpriseActiveDataService.getWxEnterpriseActiveDataByWxEnterpriseId(wxEnterpriseId);
        if (ObjectUtil.isNotNull(staffActiveDataDTO))
            return ServiceResponse.success(staffActiveDataDTO);
        else
            return ServiceResponse.failure("9999","wxEnterpriseId不存在");
    }
}
